## libmono-lliurex-utils 0.9.7

=== Makefile ===

SOURCES=libmono-lliurex-utils/*.cs

	
	
CSC = mono-csc
CSC_FLAGS = -r:Mono.Posix.dll -pkg:Antlr3.Runtime -pkg:gtk-sharp-2.0 -target:library
OUT = libmono-lliurex-utils.dll


clean: 
	rm -rf libmono-lliurex-utils/bin
	rm -rf libmono-lliurex-utils/libmono-lliurex-utils.pidb
	rm -rf libmono-lliurex-utils/bin

release: $(SOURCES)
	mkdir -p bin/Release/
	$(CSC) $(CSC_FLAGS) $(SOURCES) -out:bin/Release/$(OUT)
	
debug: $(SOURCES)
	mkdir -p bin/Debug/
	$(CSC) $(CSC_FLAGS) $(SOURCES) -out:bin/Debug/$(OUT) -debug

=== debian/changelog ===
libmono-lliurex-utils (0.9.7) precise; urgency=low

  * This time, for the right distribution name

 -- Hector Garcia Huerta <hectorgh@gmail.com>  Mon, 29 Oct 2012 11:21:57 +0100

libmono-lliurex-utils (0.9.6) precise; urgency=low

  * First ppa release

 -- Hector Garcia Huerta <hectorgh@gmail.com>  Tue, 27 Mar 2012 13:10:59 +0200

libmono-lliurex-utils (0.9.4) precise; urgency=low

  * first pandora release

 -- Hector Garcia Huerta <lliurex_devel1@edu.gva.es>  Fri, 27 Mar 2012 08:18:43 +0100

libmono-lliurex-utils (0.9.3) unstable; urgency=low

  * Fixed for nemo

 -- Angel Berlanas Vicente <lliurex_devel2@edu.gva.es>  Thu, 26 Jan 2012 12:11:36 +0100

libmono-lliurex-utils (0.9.1) unstable; urgency=low

  * Fixed for nemo

 -- Jose Carlos Garcia <garcia_josmon@gva.es>  Tue, 17 Jan 2012 12:23:12 +0100

libmono-lliurex-utils (0.9) unstable; urgency=low

  * Uploaders Fixed

 -- Jose Carlos Garcia <garcia_josmon@gva.es>  Tue, 17 Jan 2012 11:43:34 +0100

libmono-lliurex-utils (0.8) unstable; urgency=low

  * WiP version

 -- Angel Berlanas Vicente <lliurex_devel2@edu.gva.es>  Mon, 06 Jun 2011 12:22:15 +0200

libmono-lliurex-utils (0.7) unstable; urgency=low

  * Second version for marty

 -- Angel Berlanas Vicente <lliurex_devel2@edu.gva.es>  Fri, 03 Jun 2011 11:02:46 +0200

libmono-lliurex-utils (0.6) lucid; urgency=low

  * First version for marty 

 -- Angel Berlanas Vicente <lliurex_devel2@edu.gva.es>  Fri, 03 Jun 2011 11:01:21 +0200

libmono-lliurex-utils (0.4.5) unstable; urgency=low

  * dummy upgrade

 -- Hector Garcia Huerta <lliurex_devel1@edu.gva.es>  Thu, 07 Oct 2010 11:35:14 +0200

libmono-lliurex-utils (0.4.4) unstable; urgency=low

  * Work in progress on Copy files dialog. Trying to close it when it has finished.

 -- Hector Garcia Huerta <lliurex_devel1@edu.gva.es>  Mon, 04 Oct 2010 10:29:21 +0200

libmono-lliurex-utils (0.4.3) unstable; urgency=low

  * Added CopyFiles functionality to show a progress bar when copying

 -- Hector Garcia Huerta <lliurex_devel1@edu.gva.es>  Thu, 10 Jun 2010 12:41:23 +0200

libmono-lliurex-utils (0.4.2) unstable; urgency=low

  * Graphical utils have been removed as they really were useless 

 -- Enrique Medina Gremaldos <lliurex_devel4@edu.gva.es>  Thu, 10 Jun 2010 12:35:39 +0200

libmono-lliurex-utils (0.4.1.1) unstable; urgency=low

  * minor makefile fix 

 -- Enrique Medina Gremaldos <lliurex_devel4@edu.gva.es>  Thu, 10 Jun 2010 12:05:50 +0200

libmono-lliurex-utils (0.4) unstable; urgency=low

  * Added a graphic combobox item 

 -- Enrique Medina Gremaldos <lliurex_devel4@edu.gva.es>  Thu, 10 Jun 2010 11:48:15 +0200

libmono-lliurex-utils (0.3.1.1) unstable; urgency=low

  * Minor fix in showvars 

 -- Enrique Medina Gremaldos <lliurex_devel4@edu.gva.es>  Wed, 09 Jun 2010 13:44:13 +0200

libmono-lliurex-utils (0.3.1) unstable; urgency=low

  * Fixed Makefile minor fix

 -- Enrique Medina Gremaldos <lliurex_devel4@edu.gva.es>  Wed, 09 Jun 2010 12:51:29 +0200

libmono-lliurex-utils (0.3) unstable; urgency=low

  *  Created a lliurex variable manager

 -- Enrique Medina Gremaldos <lliurex_devel4@edu.gva.es>  Wed, 09 Jun 2010 12:35:35 +0200

libmono-lliurex-utils (0.2) unstable; urgency=low

  * fixed cli version

 -- Enrique Medina Gremaldos <lliurex_devel4@edu.gva.es>  Wed, 14 Apr 2010 08:49:57 +0200

libmono-lliurex-utils (0.1.5) unstable; urgency=low

  * Coming from kripton
  * Minor control fixes

 -- Enrique Medina Gremaldos <lliurex_devel4@edu.gva.es>  Fri, 09 Apr 2010 09:59:30 +0200

libmono-lliurex-utils (0.1) unstable; urgency=low

  * Initial Release

 -- Angel Berlanas Vicente <lliurex_devel2@edu.gva.es>  Thu, 14 Jan 2010 12:00:32 +0100

=== debian/control ===
Source: libmono-lliurex-utils
Section: utils
Priority: optional
Maintainer: Equipo LliureX <lliurex@gva.es>
Uploaders: Ignacio Vidal Hurtado <vidal_joshur@gva.es>, Angel Berlanas Vicente <lliurex_devel2@edu.gva.es>, Raul Rodrigo Segura <lliurex_devel3@edu.gva.es>, David Montalva Furio <montalva_dav@gva.es>, Alfons Lloret Sananton <lliurex_devel5@edu.gva.es>, Enrique Medina Gremaldos <lliurex_devel4@edu.gva.es>, Hector Garcia Huerta <lliurex_devel1@edu.gva.es>, Jose Carlos Garcia Monsalvez <garcia_josmon@gva.es>, Jaime Munyoz Fayos <munyoz_jaifay@gva.es>, Francisco Antonino Daviu <antonino_fra@gva.es>, Miguel Garcia Gomez <garcia_miggom@gva.es>
Build-Depends: debhelper (>= 7.0), llxcfg-dev (>=1:0.40), cli-common-dev, antlr-tools, gtk-sharp2
Standards-Version: 3.9.3

Package: libmono-lliurex-utils
Architecture: all
Depends: ${misc:Depends}, mono-runtime , antlr-tools  
Description: provides a CLI library for mono
 makes more easy work with command line

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

## for 1.0 ICSharpCode.SharpZipLib.dll
#libmono-sharpzip0.6-cil
## for 2.0 ICSharpCode.SharpZipLib.dll
#libmono-sharpzip2.84-cil


export MONO_SHARED_DIR=$(CURDIR)

UPVERSION = $(shell dpkg-parsechangelog | grep ^Vers | cut -d\  -f2 | sed 's,-.*,,' | sed 's/.dfsg.*$$//')
APIVERSION = 1.0
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp 
configure-stamp: 
	dh_testdir

	mkdir -p $(MONO_SHARED_DIR)/.wapi
	
	touch configure-stamp

build: build-arch build-indep 


build-arch: 

	$(MAKE) release
	

build-indep: build-stamp




build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	$(MAKE) clean
	-rm -rf build installtmp
	rm -rf $(MONO_SHARED_DIR)/.wapi
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

	#cp -r bin/Release/* $(CURDIR)/debian/libmono-lliurex-utils/usr/lib/cli/libmono-lliurex-utils-0.1/
	cp bin/Release/* $(CURDIR)/debian/libmono-lliurex-utils/usr/lib/mono/4.0/
	cp $(CURDIR)/libmono-lliurex.pc $(CURDIR)/debian/libmono-lliurex-utils/usr/lib/pkgconfig/
	#find $(CURDIR)/debian/user-mutation-tools/usr/lib/user-mutation-tools -type f -exec chmod a-x {} \;
	#install -c -m711 debian/user-mutation-tools.sh $(CURDIR)/debian/user-mutation-tools/usr/bin/um-login
	
	dllxh_install

# Build architecture-independent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installcligac 
	dh_fixperms
	dh_clifixperms
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_installdeb
	dh_makeclilibs -m $(APIVERSION)
	dh_clideps -d
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
